Name:		yuicompressor
Version:	2.4.2
Release:	1%{?dist}
Summary:	A compressor for JavaScript and CSS files
Group:		Applications/Internet
License:	BSD
URL:		http://yuilibrary.com/projects/yuicompressor
Source0:	http://yuilibrary.com/downloads/yuicompressor/%{name}-%{version}.zip
Patch0:		yuicompressor-2.4.2-build.patch
Patch1:		yuicompressor-2.4.2-no-customized-rhino.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	java-devel, jpackage-utils, ant, jargs, rhino
Requires:	java, jpackage-utils, jargs, rhino
BuildArch:	noarch

%description
YUI Compressor is a tool that supports the compression of 
both JavaScript and CSS files. The JavaScript compression
removes comments and whitespaces, and it optionally 
obfuscates local variables by using the smallest possible 
variable name. CSS compression is done using a CSS minifier
based on regular expressions.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Development Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1 -b .build
%patch1 -p1 -b .no-customized-rhino


%build
ant -Djargs.jar=$(build-classpath jargs) -Drhino.jar=$(build-classpath rhino)
javadoc -d javadoc -sourcepath src com.yahoo.platform.yui.compressor

cat > yuicompressor << EOF
#!/bin/bash
. /usr/share/java-utils/java-functions
MAIN_CLASS=com.yahoo.platform.yui.compressor.Bootstrap
set_classpath "yuicompressor jargs rhino"
echo $CLASSPATH
run "\$@"
EOF

chmod +x yuicompressor

%install
rm -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}
cp -p build/%{name}-%{version}.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.jar)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
cp -rp javadoc %{buildroot}%{_javadocdir}/%{name}

# bin
%{__mkdir_p} %{buildroot}%{_bindir}
cp -p yuicompressor %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/yuicompressor
%{_javadir}/*
%doc doc/CHANGELOG doc/README

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Thu Dec 17 2009 Karel Klic <kklic@redhat.com> - 2.4.2-1
- Initial packaging
